Author: aurel32
Date: 2011-08-08 12:39:39 +0000 (Mon, 08 Aug 2011)
New Revision: 4857

Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/debhelper.in/libc-dev-alt.preinst
Log:
  * debhelper.in/libc-dev-alt.preinst: test if not a symlink instead of
    testing if a directory. Fixes triarch includes on mips/mipsel.



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog        2011-08-08 08:48:44 UTC (rev 
4856)
+++ glibc-package/trunk/debian/changelog        2011-08-08 12:39:39 UTC (rev 
4857)
@@ -6,8 +6,10 @@
   * Add a Breaks: perl (<< 5.12.4-2) to libc0.1/6/6.1.  Closes: #636686.
   * Install x86-64 headers on i386 instead of the i386 ones.  Closes: 
     #637000.
+  * debhelper.in/libc-dev-alt.preinst: test if not a symlink instead of
+    testing if a directory. Fixes triarch includes on mips/mipsel.
 
- -- Aurelien Jarno <[email protected]>  Fri, 05 Aug 2011 07:46:28 +0200
+ -- Aurelien Jarno <[email protected]>  Mon, 08 Aug 2011 14:38:51 +0200
 
 eglibc (2.13-14) unstable; urgency=low
 

Modified: glibc-package/trunk/debian/debhelper.in/libc-dev-alt.preinst
===================================================================
--- glibc-package/trunk/debian/debhelper.in/libc-dev-alt.preinst        
2011-08-08 08:48:44 UTC (rev 4856)
+++ glibc-package/trunk/debian/debhelper.in/libc-dev-alt.preinst        
2011-08-08 12:39:39 UTC (rev 4857)
@@ -6,10 +6,10 @@
        (upgrade|install)
        # We want /usr/include/bits and /usr/include/gnu to become
        # symlinks
-       if test -d /usr/include/bits ; then
+       if ! test -h /usr/include/bits ; then
                rm -rf /usr/include/bits
        fi
-       if test -d /usr/include/gnu ; then
+       if ! test -h /usr/include/gnu ; then
                rm -rf /usr/include/gnu
        fi
 


-- 
To UNSUBSCRIBE, email to [email protected]
with a subject of "unsubscribe". Trouble? Contact [email protected]
Archive: http://lists.debian.org/[email protected]

Reply via email to